> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# getDeactivatedUsers

> 
The `getDeactivatedUsers` API retrieves comprehensive information about all users who have been deactivated within a company.

### What it does:

- Provides user data for employees and contractors who have been temporarily deactivated but not terminated
- Useful to fetch employees that are temporarily removed from the payroll but may be re-added at a later date

### Notes:

- Deactivated users can be reactivated using the `activateUser` endpoint if they return to work
- Returns the same fields as `getUsers`, which can be used to retrieve a full list of activated, deactivated and terminated users



## OpenAPI

````yaml get /reports/getDeactivatedUsers
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /reports/getDeactivatedUsers:
    get:
      tags: []
      summary: getDeactivatedUsers
      description: >-

        The `getDeactivatedUsers` API retrieves comprehensive information about
        all users who have been deactivated within a company.


        ### What it does:


        - Provides user data for employees and contractors who have been
        temporarily deactivated but not terminated

        - Useful to fetch employees that are temporarily removed from the
        payroll but may be re-added at a later date


        ### Notes:


        - Deactivated users can be reactivated using the `activateUser` endpoint
        if they return to work

        - Returns the same fields as `getUsers`, which can be used to retrieve a
        full list of activated, deactivated and terminated users
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                  title: getDeactivatedUsers
                  example: getDeactivatedUsers
                companyId:
                  type: string
                  format: uuid
                workerType:
                  type: string
                  enum:
                    - W2
                    - 1099-NEC
              required:
                - method
                - companyId
                - workerType
            example:
              method: getDeactivatedUsers
              companyId: 1b66dd5f-989e-4073-85af-9de16e0fb342
              workerType: W2
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  user:
                    type: array
                    items:
                      type: object
                      properties:
                        user:
                          type: string
                        userId:
                          type: string
                        companyId:
                          type: string
                        status:
                          type: object
                          properties:
                            userStatus:
                              type: string
                          required:
                            - userStatus
                        firstName:
                          type: string
                        lastName:
                          type: string
                        middleName:
                          type: string
                        personalEmail:
                          type: string
                        phoneNumber:
                          type: string
                        kycStatus:
                          type: string
                        jobTitle:
                          type: string
                        dateOfJoin:
                          type: string
                        email:
                          type: string
                        userWages:
                          type: array
                          items:
                            type: object
                            properties:
                              userWorkerType:
                                type: object
                                properties:
                                  workerType:
                                    type: string
                                required:
                                  - workerType
                        userAddress:
                          type: object
                          properties:
                            address1:
                              type: string
                            address2:
                              type: string
                            city:
                              type: string
                            state:
                              type: string
                            zipcode:
                              type: string
                            country:
                              type: string
                          required:
                            - address1
                            - address2
                            - city
                            - state
                            - zipcode
                            - country
                required:
                  - user
              example:
                user:
                  - user: pat cummins
                    userId: 609A13E9-CDC4-45A5-8407-B58500A244FE
                    companyId: 1B66DD5F-989E-4073-85AF-9DE16E0FB342
                    status:
                      userStatus: Deactivate
                    firstName: pat
                    lastName: cummins
                    middleName: null
                    personalEmail: vjhj@mail.com
                    phoneNumber: '7485963202'
                    kycStatus: passed
                    jobTitle: QA
                    dateOfJoin: '2023-08-01'
                    email: pat999@mailsac.com
                    userWages:
                      - userWorkerType:
                          workerType: W2
                    userAddress:
                      address1: 777 Alameda Street
                      address2: null
                      city: Los Angeles
                      state: CA
                      zipcode: '90021'
                      country: US
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````